# logstreamer

LogStreamer est un logiciel permettant la diffusion sonore d'un fichier via un serveur Icecast


## Prérequis

* python3
* libshout
* python-shout (```pip3 install python-shout```)
* vorbis-tools

Les utilisateurs de distributions moisies basées sur Debian et/ou CentOS/RHEL (CentOS/Debian y compris) devront
au préalable installer les paquets suivants:
* python3-dev
* libshout3-dev

## Utilisation

```
logstreamer.py -h

  usage: logstreamer.py [-h] --log LOG [--workdir WORKDIR] [--duration DURATION]
                        [--amplitude AMPLITUDE] [--framerate FRAMERATE]
                        [--adjust ADJUST ADJUST]
                        [--exclude [EXCLUDE [EXCLUDE ...]]] --host HOST --port
                        PORT --user USER --password PASSWORD --mount MOUNT
                        [--protocol PROTOCOL]

  optional arguments:
    -h, --help            show this help message and exit
    --log LOG             Le fichier de log à traiter (requis)
    --workdir WORKDIR     Le répertoire de travail (défaut: /tmp)
    --duration DURATION   La durée d'une note (défaut: 0.008)
    --amplitude AMPLITUDE
                          Le niveau sonore (défaut: 0.5)
    --framerate FRAMERATE
                          Le taux d'échantillonage (défaut: 44100)
    --adjust ADJUST ADJUST
                          Facteurs d'ajustement (défaut: 5000 20000)
    --exclude [EXCLUDE [EXCLUDE ...]]
                          Liste des caractères non traités (défaut: [])
    --host HOST           Server Icecast2 (requis)
    --port PORT           Port TCP sur lequel contacter le serveur Icecast2
                          (requis)
    --user USER           Nom d'utilisateur (requis)
    --password PASSWORD   Mot de passe (requis)
    --mount MOUNT         Point de montage Icecast2 (requis)
    --protocol PROTOCOL   Protocol à utiliser (défaut: http)
```
